Skip to main content
GET
/
v0
/
customers
/
{id}
/
paymentMethods
List payment methods
curl --request GET \
  --url https://api.paygentic.io/v0/customers/{id}/paymentMethods \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "paymentMethod",
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "brand": "<string>",
      "last4": "<string>",
      "expMonth": 123,
      "expYear": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paygentic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the customer. Unique identifier for a customer

Pattern: ^cus_[a-zA-Z0-9]+$

Response

List of payment methods

object
enum<string>
required
Available options:
list
data
object[]
required